/***********************************************************************************/
/**	\file				Config.h
**	\brief				Header File zur Klasse Config
*************************************************************************************
**	Autor:				Christian Roesch
*************************************************************************************
**	_tut nichts_
**
*//*********************************************************************************/

#ifndef _Config_H
#define _Config_H

// includes
#include <vector>
#include <string>
#include <map>

#include "TextFileReader.h"
#include "DataSet.h"

// Klassen-Deklaration

namespace FrameWork
{

/***********************************************************************************/
/** \brief	Config _tut nichts_
*************************************************************************************
**	Genau genommen _tut dies nichts_
**
*//*********************************************************************************/

class	Config
{
public:
	Config();
	bool read( std::string strFileName );
	bool write( std::string strFileName );
	
	void addString( std::string strName, std::string strData );
	std::string getString( std::string strName );
	void addFloat( std::string strName, float fData );
	float getFloat( std::string strName );
	
	bool ExistsString( std::string strName );
	bool ExistsFloat( std::string strName );

protected:

private:
	void parseKey( std::string strLine );

	DataSet m_dsConfigData;

	static const char m_cPrefixComment= '#';
	static const char m_cPrefixFloat= '%';
};

}

#endif//_Config_H

class	FrameWork::Config;

/************************************************************************************
**	Ende der Datei:		Config.h
************************************************************************************/
