/***********************************************************************************/
/**	\file				StatDataFloat.cpp
**	\brief				Implementation zur Klasse StatDataFloat
*************************************************************************************
**	Autor:				Christian Roesch
*************************************************************************************
**	-tut nichts-
**
*//*********************************************************************************/


// includes
#include "StatDataFloat.h"

#include <sstream>

// Methoden-Definitionen

namespace FrameWork
{

StatDataFloat::StatDataFloat()
{
}

StatDataFloat::StatDataFloat( float fData )
{
	setFloat( fData );
}

void StatDataFloat::setFloat( float fData )
{
	m_Data= fData;
}
	
float StatDataFloat::getFloat()
{
	return m_Data;
}

std::string StatDataFloat::getString()
{
	std::ostringstream oss;
	oss << m_Data;
	return oss.str();
}

}

/************************************************************************************
**	Ende der Datei:		StatDataFloat.cpp
************************************************************************************/
