/***********************************************************************************/
/**	\file				DataSet.h
**	\brief				Header File zur Klasse DataSet
*************************************************************************************
**	Autor:				Christian Roesch
*************************************************************************************
**	_tut nichts_
**
*//*********************************************************************************/

#ifndef _DataSet_H
#define _DataSet_H

// includes
#include "StatDataString.h"
#include "StatDataFloat.h"

#include <string>
#include <vector>
#include <map>

// Klassen-Deklaration

namespace FrameWork
{

/***********************************************************************************/
/** \brief	DataSet _tut nichts_
*************************************************************************************
**	Genau genommen _tut dies nichts_
**
*//*********************************************************************************/

class	DataSet
{
public:
	DataSet();
	~DataSet();
	
	void addString( std::string strName, std::string strData );
	std::string getString( std::string strName );
	void addFloat( std::string strName, float fData );
	float getFloat( std::string strName );
	
	StatData* getData( std::string strName );
	bool ExistsData( std::string strName );

	std::vector< std::string > getKeyList();

	void addData( DataSet* dsNewData );
	
protected:

private:
	void removeData( std::string strName );
	
	std::map < std::string, StatData* > m_mapData;
	typedef std::map < std::string, StatData* >::iterator DataMapIterator;
	typedef std::pair< std::string, StatData* > PairDataMap;
	
	static StatData m_sdDummy;
};

}

#endif//_DataSet_H

class	FrameWork::DataSet;


/************************************************************************************
**	Ende der Datei:		DataSet.h
************************************************************************************/
