/***********************************************************************************/
/**	\file				Mouse.h
**	\brief				Header File zur Klasse Mouse
*************************************************************************************
**	Autor:				Christian Roesch
*************************************************************************************
**	_tut nichts_
**
*//*********************************************************************************/

#ifndef _Mouse_H
#define _Mouse_H

// includes
#include <d3d9.h>
#include <d3dx9.h>

// Klassen-Deklaration

namespace FrameWork
{

/***********************************************************************************/
/** \brief	Mouse _tut nichts_
*************************************************************************************
**	Genau genommen _tut dies nichts_
**
*//*********************************************************************************/

class	Mouse
{
public:
	Mouse();
	~Mouse();

	void update();

	D3DXVECTOR3 getPos();
	void setPos( D3DXVECTOR3 vec3NewPos );
	
	void setSensivity( float Sensivity );

	void setClipRect(	float fLeft,
						float fRight,
						float fTop,
						float fBottom );

	int isButtonDown( int iButton );
	int isButtonDrag( int iButton );
	int isButtonClick( int iButton );

	bool isMouseMove();

protected:

private:
	void clipPosition();

	D3DXVECTOR3 m_vec3Position;

	float m_fSensivity;

	float m_fLeft;
	float m_fRight;
	float m_fTop;
	float m_fBottom;

	bool m_bMoved;
};

}

#endif//_Mouse_H

class	FrameWork::Mouse;


/************************************************************************************
**	Ende der Datei:		Mouse.h
************************************************************************************/ 
