/***********************************************************************************/
/**	\file				StatDataString.cpp
**	\brief				Implementation zur Klasse StatDataString
*************************************************************************************
**	Autor:				Christian Roesch
*************************************************************************************
**	-tut nichts-
**
*//*********************************************************************************/


// includes
#include "StatDataString.h"

// Methoden-Definitionen

namespace FrameWork
{

StatDataString::StatDataString()
{
}

StatDataString::StatDataString( std::string strData )
{
	setString( strData );
}

StatDataString::StatDataString( const StatDataString& s )
:
StatData()
{
	*this= s;
}

const StatDataString& StatDataString::operator=( const StatDataString& s)
{
	m_Data= s.m_Data;	
	return *this;
}

void StatDataString::setString( std::string strData )
{
	m_Data= strData;
}
	
std::string StatDataString::getString()
{
	return m_Data;
}

}

/************************************************************************************
**	Ende der Datei:		StatDataString.cpp
************************************************************************************/
