/***********************************************************************************/
/**	\file				StatDataString.h
**	\brief				Header File zur Klasse StatDataString
*************************************************************************************
**	Autor:				Christian Roesch
*************************************************************************************
**	_tut nichts_
**
*//*********************************************************************************/

#ifndef _StatDataString_H
#define _StatDataString_H

// includes
#include "StatData.h"

// Klassen-Deklaration

namespace FrameWork
{

/***********************************************************************************/
/** \brief	StatDataString _tut nichts_
*************************************************************************************
**	Genau genommen _tut dies nichts_
**
*//*********************************************************************************/

class	StatDataString : public StatData
{
public:
	StatDataString();
	StatDataString( std::string strData );
	
	StatDataString( const StatDataString& s );
	const StatDataString& operator=( const StatDataString& s);
	
	void setString( std::string strData );
	
	std::string getString();
	
protected:

private:
	std::string m_Data;
};

}

#endif//_StatDataString_H

class	FrameWork::StatDataString;


/************************************************************************************
**	Ende der Datei:		StatDataString.h
************************************************************************************/
